import { Color } from "./color";
export declare const AlgorithmTypes: {
    CIEDE2000: string;
    HSV: string;
    RGB: string;
};
export declare class ColorDiff {
    static diff(algorithmType: string, color1: Color, color2: Color): number;
    static ciede2000(color1: Color, color2: Color): number;
    static _ciede2000(l1: number, a1: number, b1: number, l2: number, a2: number, b2: number): number;
    static hsv(color1: Color, color2: Color): number;
    static rgb(color1: Color, color2: Color): number;
}
