export interface IRGBColor {
    red: number;
    green: number;
    blue: number;
}
export interface IHSVColor {
    value: number;
    hue: number;
    saturation: number;
}
export interface IXYZColor {
    x: number;
    y: number;
    z: number;
}
export interface ILABColor {
    l: number;
    a: number;
    b: number;
}
export declare class Color {
    static normalizeHex(hex: string): string;
    static hexToRgb(hex: string): IRGBColor;
    static rgbToHex(rgb: IRGBColor): string;
    static rgbToHsv(rgb: IRGBColor, round?: boolean): IHSVColor;
    static rgbToXyz(rgb: IRGBColor, round?: boolean): IXYZColor;
    static rgbToLab(rgb: IRGBColor, round?: boolean): ILABColor;
    constructor(value: any);
    private _original;
    readonly original: any;
    private _rgb;
    readonly rgb: IRGBColor;
    private _hex;
    readonly hex: string;
    private _hsv;
    readonly hsv: IHSVColor;
}
